#' Selection of K in K-Means Clustering
#'
#' Selection of k in k-means clustering based on Pham et al. paper ``Selection
#' of k in k-means clustering''
#' 
#' @details
#' This package implements the method for selecting the number of clusters for
#' the algorithm K-means introduced in the publication of Pham, Dimov and
#' Nguyen of 2004.
#' 
#' \tabular{ll}{
#'   Package: \tab kselection \cr
#'   Version: \tab 0.2.0 \cr
#'   License: \tab GPL-3 \cr
#' }
#'
#' @author Daniel Rodriguez \email{daniel.rodriguez.perez@@gmail.com}
#' 
#' @references
#' D T Pham, S S Dimov, and C D Nguyen, "Selection of k in k-means clustering",
#' Mechanical Engineering Science, 2004, pp. 103-119.
#' 
#' @name kselection-package
#' @docType package
#' 
NULL
